{% extends "layout.html" %}

{% block content %}
{% if error %}
<div class="alert alert-danger">
    {{ error }}
</div>
{% endif %}

{% set valid_token = access_token and access_level > 0 %}

<p>To gain access to the Control room and the Live status interface you must {% if not identification %}<b>identify</b> yourself{% endif %}{% if not identification and not valid_token %} and{% endif %}{% if not valid_token %} provide a valid <b>access token</b>{% endif %}. </p>

<form method="post" action="{{ url_for('login') }}">
    {% if identification %}
    <input type="hidden" name="identification" value="{{ identification }}">
    {% else %}
    <div class="form-group">
        <label for="identification">Identification (your results will be identified by this)</label>
        <input type="text" class="form-control" name="identification">
    </div>
    {% endif %}
    {% if valid_token %}
    <input type="hidden" name="access_token" value="{{ access_token }}">
    {% else %}
    <div class="form-group">
        <label for="access_token">Access token (string of characters)</label>
	<input type="text" class="form-control" name="access_token" value="{{ access_token }}">
    </div>
    {% endif %}
    <input type="hidden" name="next" value="{{ next }}">
    <button type="submit" class="btn btn-default">Submit</button>
</form>

<p>Hint: If you are being asked for this access information unexpectedly, your access token may have expired or you did not use the correct link or QR code provided by the operator team with the access token encoded in the URL.</p>
{% endblock %}
